Subject: Re: 2.6.25: include/asm-ppc vs. include/asm-powerpc

From: Arnd Bergmann <[email-masked]>
Date: Thu, 28 Aug 2008 15:53:17 +0200

On Thursday 28 August 2008, Paul Smith wrote:
> However, looking in the include/asm-ppc directory I see that many of the
> files that used to be there are not there anymore... although they do
> appear in include/asm-powerpc. =A0In particular I'm interested in
> ppc_asm.h which used to exist in both asm-ppc64 AND in asm-ppc, but now
> only exists in asm-powerpc. =A0What's the approved way to include this
> header if asm points to asm-ppc?
>=20
> In general it seems like lots of headers that used to be in both asm
> directories now appear in only asm-powerpc; I don't really see how this
> is supposed to work. =A0Any tips on this would be most welcome.
>=20

The easiest solution should be to just include all your modules in
the kernel source as patches, rather than building them externally.

That will give you access to all the headers you need.

Of course that is only possible if all your modules are GPL, but I
assume that you would not have asked here if they were not.

	Arnd <><